<template>
<!DOCTYPE html>
<html lang="en">
    <div v-if="!isAuthenticated" class="container w-75 bg-primary my-5 rounded shadow">
      <div class="row align-items-stretch">
        <div class="col bg-img d-none d-lg-block col-md-5 col-lg-5 col-xl-6 rounded-start shadow"/>
        <div class="col bg-white p-5 rounded-end shadow">
          <div class="text-end">
            <img src="../assets/health.png" width="50" alt="">
          </div>

          <h2 class="fw-bold text-center py-5"> ¡Bienvenido! </h2>

          <!-- LOGIN -->

          <form class="text-start" action ="#">
            <div class="mb-4">
              <label for="email" class="form-label">Correo electrónico</label>
              <input type="email" class="form-control" name="email">
            </div>

            <div class="mb-4">
              <label for="password" class="form-label">Contraseña</label>
              <input type="password" class="form-control" name="password">
            </div>
             
            <div class="mb-4 form-check">
              <input type="checkbox" name="connected" class="form-check-input" disabled>
              <label for="connected" class="form-check-label">Mantenerme conectado</label>
            </div>

            <div class="d-grid">
              <a class="btn btn-primary">Iniciar Sesión</a>
            </div>

            <div class="my-3 text-center">
              <span>No tienes cuenta? <a href="#">Registrate</a></span> <br>
              <span><a href="#/login">Recuperar Contraseña</a></span>
            </div>
          </form>

          <!-- LOGIN CON GOOGLE -->

          <!-- Divider Text -->
          <div class="form-group col-lg-12 mx-auto d-flex align-items-center my-4">
              <div class="border-bottom w-100 ml-5"></div>
              <span class="px-2 small text-muted font-weight-bold text-muted">Ó</span>
              <div class="border-bottom w-100 mr-5"></div>
          </div>

           <a @click="login" class="btn btn-block btn-social btn-google">
            <i class="fab fa-google d-none d-md-block"></i> Entrar con Google
          </a>

        </div>
      </div>
    
    </div>
    

  <p v-else>  
      <a>{{ user.name }}</a>
      <button @click="logout()">Log out</button>
      <button @click="jwt()">jwt</button>
  </p>

</html>
</template>

<script lang="ts">

import { defineComponent } from '@vue/runtime-core'
import AuthService from '@/services/AuthService'

export default defineComponent({
  name: 'LoginView',

  components: {
  },

  data: function() {
  return {
    user: this.$auth0.user,
    isAuthenticated : this.$auth0.isAuthenticated,
    error: false,
    token: '' 
  };
},
  methods: {
    
    async login() {
      await this.$auth0.loginWithPopup();
      const token = await this.$auth0.getAccessTokenSilently();
      console.log("token: "+token);
      try { 
        if (this.$auth0.isAuthenticated) {
          console.log(AuthService.getUsuarios(token));
        }

        this.$router.push({path:'/profile'})
      } catch (error) {
        this.error = true;
      }
    },
  },
});
</script>

<style lang="scss" scoped>
@import '@/assets/css/bootstrap-social.css';

body {
  background: rgb(196,212,212);
  background: radial-gradient(circle, rgba(196,212,212,1) 30%, rgba(176,252,255,1) 100%);
}

.bg-img {
  background-image: url(/src/assets/medical2.jpg);
  background-position: center center;
  background-repeat: no-repeat ;
  background-size: 160%;

}


</style>